Page MenuHomePhabricator

Remove Russian fallback for Ukrainian language
Closed, ResolvedPublic

Description

Please remove Russian fallback for Ukrainian language. It is not needed now.

Consensus:
2014 discussion thread and poll
2015 discussion thread and poll

Patches

  • Patch https://gerrit.wikimedia.org/r/290362 removes "ru" from being a fallback for "uk". This means whenever a Ukrainian translation is missing, Ukrainian users will not see Russian translations as fallbacks any more. Instead they will see English.
  • This change will also break existing links to special pages, parser functions and other magic words in cases where a Russian keyword was used in a Ukrainian wiki. To avoid this, the Russian keywords are added as aliases in a series of patches (see https://gerrit.wikimedia.org/r/#/q/status:open+message:Russian+Ukrainian for the open ones). These are not fallbacks, but aliases. Ukrainian users will never see this, except when a Russian keyword is manually added to a wiki page.

See Also

Details

Reference
bz37314

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Support for 3rd party users choosing a different fallback based on configuration, rather than a live-hack, is possible but isn't a trivial change. I don't see it as a blocker at this point based on the information I have.

We are planning to merge and deploy this fallback change next week, assuming no blockers emerge between now and then.

To follow up on what @TrevorParscal mentioned in the earlier comment, we are reviewing the patch this week and this will go through the regular code review process. You can follow it here: https://gerrit.wikimedia.org/r/#/c/290362/ .

Change 323391 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323391

Change 323392 had a related patch set uploaded (by Amire80):
Add Russian special page aliases and magic words for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323392

Change 323393 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323393

Change 323412 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323412

Change 323416 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323416

Change 323417 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323417

Change 323418 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323418

Change 323421 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323421

Change 323422 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323422

Change 323424 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323424

Change 323425 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323425

Change 323426 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323426

Change 323428 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323428

Change 323429 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323429

Change 323431 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323431

Change 323432 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323432

Change 323433 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323433

Change 323434 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323434

Change 323435 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323435

Change 323439 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323439

Change 323440 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323440

Change 323441 had a related patch set uploaded (by Amire80):
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323441

Change 323450 had a related patch set uploaded (by Amire80):
Add Russian magic word aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323450

Change 323452 had a related patch set uploaded (by Amire80):
Add Russian magic word aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323452

Change 323429 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323429

Please summarize the outcome of the discussion (I'm not going to read it in it's entirety) in the tasks description. It's almost empty in the moment. This tickets title talks about removing Russian, but what the patches that are linking to this ticket do is the opposite. Dozens of extension maintainers will run into the same problem as I did. Please help them to understand what's going on.

Change 323452 merged by jenkins-bot:
Add Russian magic word aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323452

Change 323440 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323440

Change 323432 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323432

Change 323428 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323428

Change 323424 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323424

Change 323416 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323416

Change 323417 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323417

Change 323418 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323418

Change 323412 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323412

Change 323426 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323426

Change 323431 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323431

Change 323433 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323433

Change 323435 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323435

Change 323434 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323434

Change 323439 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323439

Change 323391 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323391

Change 323392 merged by jenkins-bot:
Add Russian special page aliases and magic words for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323392

thiemowmde updated the task description. (Show Details)Nov 25 2016, 8:39 AM
Piramidion added a comment.EditedNov 25 2016, 10:34 AM

Will those special page aliases be seen in the search autocomplete? This has been one of the major problems with the fallback. For instance, if a Ukrainian user tries to search for special page names starting with "У" (i. e: Special:У.... ), he'll get 8 russian results out of 10, while the two Ukrainian ones would be seen on the 7th and 8th places, that is, there go 6 Russian search suggestions, then 2 Ukrainian, and 2 more in Russian. This is obviously wrong for a Ukrainian wiki. I'm an editor of ukwiki since 2013, and I've never seen a Russian special page name or a magic word in Russian used in Ukrainian Wikipedia.

So, is it possible to raise the priority of Ukrainian suggestions in the search field? I mean, can it display the suggestions in Ukrainian first?

Base added a comment.Nov 25 2016, 1:12 PM

They were used a tiny bit when they were translated into Russian the very first time so that Ukrainian translators who consciously didn't want to translate them were caught up by surprise. Well and later when Russians were faster for a couple of days they were used too. At least usages being fruits of the first situation I am sure I have seen.
But I second Piramidion on the need to either deprioritize Russian aliases in search prompts or perfectly remove them from there at all.

That's a question better asked in a CirrusSearch report.

Piramidion added a comment.EditedNov 26 2016, 1:26 AM

@Base By saying that they were used in Ukrainian Wikipedia you mean they were just seen in the interface? Or used somewhere in the wikitext? Because I'm refering to the second, since, afaik, the alleged usage in the wikitext is the only reason these aliases are being kept now.

Base added a comment.Nov 26 2016, 5:58 AM

For a brief span of time Russian name of pages like Special:Watchlist were the main ones. At least people were linking to those while discussing the fact itself, those I am sure I have seen. At worst there is high probability that there were normal usage links to them. Well, a fulltext search for most popular ones should be run. It is not worth speculating theoretically unless we are speaking about some third party sites (but I doubt there are a lot big Mediawiki instalations with Ukrainian as the main language in this world at all).

I suggest to merge all the "backwards compatibility" patches for now. Having them makes the transition so much easier. If it turns out that one of the Russian aliases is disturbing when searching for Ukrainian special page names, we can easily remove this alias later. Before removing any alias we must make sure it is not used anywhere in the wikitext in any Ukrainian wiki. This is much easier later, for one alias at a time.

Change 323441 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323441

Change 323421 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323421

Change 323393 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323393

Change 323450 merged by jenkins-bot:
Add Russian magic word aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323450

Change 323425 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323425

Change 323422 merged by jenkins-bot:
Add Russian special page aliases for Ukrainian for backwards compatibility

https://gerrit.wikimedia.org/r/323422

Change 290362 merged by jenkins-bot:
Don't fallback from uk to ru

https://gerrit.wikimedia.org/r/290362

Nemo_bis updated the task description. (Show Details)Nov 29 2016, 8:34 AM

Change 324032 had a related patch set uploaded (by Amire80):
Release notes about Ukrainian fallback

https://gerrit.wikimedia.org/r/324032

Change 324032 merged by jenkins-bot:
Release notes about Ukrainian fallback

https://gerrit.wikimedia.org/r/324032

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Can we mark this as Resolved?

I can see that Wikidata still uses Russian as a fallback. Will this change after some time, or is this a separate issue that needs a separate ticket?

@Piramidion, Wikidata just uses the language fallbacks from core, and does not have it's own. So yes, this will go away automatically after everything is deployed.

Piramidion added a comment.EditedNov 30 2016, 9:20 PM

@thiemowmde Thanks for the info. Hope you're right and it will go away soon.

As for the special page aliases – please see this thread T151660. Based on the list of search results P4542 I have found only 10 positives, 2 of which I didn't fix due to the context they are used in. Having only 8 pages to fix, it seems that backwards compatibility is insufficient to keep all those Russian aliases. Can they be removed now?

Johan moved this task from To Triage to Archive on the User-notice board.Dec 1 2016, 6:50 AM

And one more question – what about Wikimedia Commons? Its license templates still fallback to Russian.

I can see that Wikidata still uses Russian as a fallback. Will this change after some time, or is this a separate issue that needs a separate ticket?

Most likely the change was not deployed there yet when you asked. If it still happens, you please file a subtask with more details.

And one more question – what about Wikimedia Commons? Its license templates still fallback to Russian.

Anything cached in the rendered page contents can take about a month to expire by itself, as far as I know. Purging or null-editing the page should fix it right away, but mostly it's just about waiting for some time.

Arrbee added a comment.Dec 8 2016, 7:58 AM

Removing assignment to myself for this ticket. As already recommended by @Nikerabbit please file additional tickets for separate issues which can then be directed to the appropriate team/developers. Thanks.

Arrbee removed Arrbee as the assignee of this task.Dec 8 2016, 7:58 AM

Most likely the change was not deployed there yet when you asked. If it still happens, you please file a subtask with more details.

No, it's OK now, thanks.

Anything cached in the rendered page contents can take about a month to expire by itself, as far as I know. Purging or null-editing the page should fix it right away, but mostly it's just about waiting for some time.

If it's all about waiting for some more time, we're perfectly OK with that (we've been waiting for several years for this issue to be finally solved, so it's not a problem for us to wait a little more)

On behalf of Ukrainian community I'd like to thank everyone who helped us reach this goal. We greatly appreciate all the work you've done to accomplish this. Thank you very much!

P. S.:If it's OK, I'll close this task as "resolved". As for any other issues, we'll take into account Arrbee's advice and will file new tickets for any separate issues that might occur on any of the Ukrainian wikis.

Piramidion closed this task as Resolved.Dec 18 2016, 9:37 PM